package com.company.testmetaproperty.entity;

import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.time.LocalDateTime;

@Table(name = "TESTMETAPROPERTY_NEW_ENTITY")
@Entity(name = "testmetaproperty_NewEntity")
public class NewEntity extends StandardEntity {
    private static final long serialVersionUID = 6228455192313228524L;
    @Column(name = "TEST")
    private LocalDateTime test;


    @MetaProperty(related = "test")
    @Transient
    public String getTest2() {
        return test.toString();
    }


    public LocalDateTime getTest() {
        return test;
    }

    public void setTest(LocalDateTime test) {
        this.test = test;
    }
}